### Constructor

# CloudProviders ProviderExporter new

#### Declaration [src]

    CloudProvidersProviderExporter*
    cloud_providers_provider_exporter_new (
      GDBusConnection* bus,
      const gchar* bus_name,
      const gchar* bus_path
    )

#### Description

No description available.

#### Parameters

`bus`

  Type: `GDBusConnection`

  A connection to export the objects to.

  The data is owned by the caller of the function.

`bus_name`

  Type: `const gchar*`

  A DBus name to bind to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`bus_path`

  Type: `const gchar*`

  A DBus object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CloudProvidersProviderExporter`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.